%define subrel  1
Summary:	Tools for converting websites from using GIFs to using PNGs
Name:		gif2png
Version:	2.5.2
Release:	%mkrel 3
License:	MIT style
Group:		Graphics
URL:		http://www.catb.org/~esr/gif2png/
Source0:	http://www.catb.org/~esr/gif2png/%{name}-%{version}.tar.gz
Patch0:         gif2png-2.5.2-CVE-2009-5018.diff
BuildRequires:	libpng-devel
BuildRequires:	zlib-devel
Requires:	python

%description 
Tools for converting GIFs to PNGs. The program gif2png converts GIF files to
PNG files. The Python script web2png converts an entire web tree, also patching
HTML pages to keep IMG SRC references correct.

%prep
%setup -q
%patch0 -p1 -b .CVE-2009-5018

%build
%configure2_5x
%make
 
%install
rm -rf %{buildroot}

%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc README NEWS COPYING
%{_mandir}/*/*
%{_bindir}/*




%changelog

* Mon Jan 02 2012 dmorgan <dmorgan> 2.5.2-3.1.mga1
+ Revision: 189754
- Add patch to fix CVE-2009-5018 ( mga #3993)

* Sun Jan 09 2011 kharec <kharec> 2.5.2-3.mga1
+ Revision: 4110
- imported package gif2png


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 2.5.2-3mdv2011.0
+ Revision: 605454
- rebuild

* Thu Apr 15 2010 Sandro Cazzaniga <kharec@mandriva.org> 2.5.2-2mdv2010.1
+ Revision: 535102
- remove "#%%patch0 -p0", there's no patch0...

* Fri Nov 13 2009 Frederik Himpe <fhimpe@mandriva.org> 2.5.2-1mdv2010.1
+ Revision: 465773
- Update to new version 2.5.2
- Remove build patch which is not needed anymore

* Fri Nov 13 2009 Frederik Himpe <fhimpe@mandriva.org> 2.5.1-7mdv2010.1
+ Revision: 465760
- rebuild

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.5.1-6mdv2010.0
+ Revision: 424877
- rebuild

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5.1-5mdv2009.1
+ Revision: 316751
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.5.1-4mdv2009.0
+ Revision: 221071
- rebuild

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 2.5.1-3mdv2008.1
+ Revision: 150107
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 2.5.1-2mdv2007.1
+ Revision: 145597
- added a patch from genttoo to make it compile with libpng-1.2.12 (P0)
- Import gif2png

* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 2.5.1-2mdv2007.1
- use the %%mrel macro

* Tue Feb 28 2006 Jerome Soyer <saispo@mandriva.org> 2.5.1-1mdk
- New release 2.5.1

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.4.7-2mdk
- Rebuild

